write_scf(3)

NAME

write_scf, fwrite_scf, write_scf_header - Write SCF files

SYNOPSIS

#include <scf.h>

int write_scf(
	Scf *scf,
	char *fn);

int fwrite_scf(
	Scf *scf,
	FILE *fp);

int write_scf_header(
	FILE *fp,
	Header *h);

DESCRIPTION

These functions write SCF format trace files. All the functions accepting a FILE * as an argument assume that the file pointer is at the correct offset within the file, which should be the start.

write_scf() writes an entire SCF file into the Scf structure (see the scf(4) manual page for the details of this structure). The data is written to the specified file name.

fwrite_scf() writesan entire SCF file into the Scf structure (see the scf(4) manual page for the details of this structure). The data is written to the specified file pointer, which is neither closed or rewound after the operation.

write_scf_header() writes the Header structure to the specified file pointer.

RETURN VALUES

On successful completion, the write_scf(), fwrite_scf() and write_scf_header() functions return 0. Otherwise these function returns -1.

SEE ALSO

scf(4), read_scf(3)